---
name: Bug report
about: Create a report to help us improve
title: "[BUG]"
labels: ''
assignees: ''

---

**Describe the bug**
Please share a clear and concise description of the problem.

**To Reproduce**
Please include minimal steps to reproduce the problem if possible. E.g.: the smallest possible code snippet; or a small project, with steps to run it. If possible include text as text rather than screenshots (so it shows up in searches).

**Expected behavior**
Provide a description of the expected behavior.

**Actual behavior**
Provide a description of the actual behavior observed. If applicable please include any error messages, exception stacktraces or memory dumps.

**Configuration (please complete the following information):**
Please provide more information on your .NET configuration:
    * Which coverlet package and version was used?
    * Which version of .NET is the code running on?
    * What OS and version, and what distro if applicable?
    * What is the architecture (x64, x86, ARM, ARM64)?
    * Do you know whether it is specific to that configuration?

**Additional context**
Add any other context about the problem here.

> :exclamation:  Please also read [Known Issues](https://github.com/coverlet-coverage/coverlet/blob/master/Documentation/KnownIssues.md)
